package com.tzld.piaoquan.recommend.server.grpcservice;

import com.tzld.piaoquan.recommend.server.gen.model.ModelServiceGrpc;
import com.tzld.piaoquan.recommend.server.gen.model.ScoreRequest;
import com.tzld.piaoquan.recommend.server.gen.model.ScoreResponse;
import com.tzld.piaoquan.recommend.server.service.ModelService;
import io.grpc.stub.StreamObserver;
import net.devh.boot.grpc.server.service.GrpcService;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * @author dyp
 */
@GrpcService
public class ModelGrpcService extends ModelServiceGrpc.ModelServiceImplBase {
    @Autowired
    private ModelService modelService;

    @Override
    public void score(ScoreRequest request, StreamObserver<ScoreResponse> responseObserver) {
        ScoreResponse response = modelService.score(request);
        responseObserver.onNext(response);
        responseObserver.onCompleted();
    }

}
